Agents
Retrieve a campaign agent
Fetch a single Campaign Manager agent by ID, including its answer and hangup webhook configuration and static SIP headers.
GET
/
api
/
v1
/
account
/
{account_id}
/
campaign
/
agents
/
{agent_id}
Retrieve a campaign agent
curl --request GET \
--url https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents/{agent_id} \
--header 'X-Auth-ID: <x-auth-id>' \
--header 'X-Auth-Token: <api-key>'import requests
url = "https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents/{agent_id}"
headers = {
"X-Auth-ID": "<x-auth-id>",
"X-Auth-Token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Auth-ID': '<x-auth-id>', 'X-Auth-Token': '<api-key>'}
};
fetch('https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));GET https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents/{agent_id}
Authentication required
X-Auth-ID— your Vobiz account IDX-Auth-Token— your Vobiz auth token
string
required
Your Vobiz account ID. Use the same value in
X-Auth-ID.string
required
Your Vobiz account ID, for example
MA_XXXXXXXX.string
required
ID of the agent, returned by Create an agent.
Example
cURL
curl "https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents/{agent_id}" \
-H "X-Auth-ID: {account_id}" \
-H "X-Auth-Token: {auth_token}"
Response
200 OK
{
"id": "9f1c4b6a-2f0e-4a3d-8b21-6c5f0d9a7e42",
"name": "Appointment Reminder Agent",
"answer_url": "https://example.com/answer",
"answer_method": "POST",
"hangup_url": "https://example.com/hangup",
"hangup_method": "POST",
"static_headers": [
{ "key": "X-Campaign-Type", "value": "reminder" }
],
"created_at": "2026-08-28T09:14:22Z",
"updated_at": "2026-08-28T09:14:22Z"
}
404.Was this page helpful?
⌘I
Retrieve a campaign agent
curl --request GET \
--url https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents/{agent_id} \
--header 'X-Auth-ID: <x-auth-id>' \
--header 'X-Auth-Token: <api-key>'import requests
url = "https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents/{agent_id}"
headers = {
"X-Auth-ID": "<x-auth-id>",
"X-Auth-Token": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Auth-ID': '<x-auth-id>', 'X-Auth-Token': '<api-key>'}
};
fetch('https://api.vobiz.ai/api/v1/account/{account_id}/campaign/agents/{agent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));